<?php
/**
 * @version		1.1.0
 * @package		Joomla
 * @subpackage	Event Booking
 * @author  Tuan Pham Ngoc
 * @copyright	Copyright (C) 2010 Ossolution Team
 * @license		GNU/GPL, see LICENSE.php
 */
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );
jimport( 'joomla.application.component.view');
/**
 * HTML View class for the Booking component
 *
 * @static
 * @package		Joomla
 * @subpackage	Booking
 * @since 1.0
 */
class EventBookingViewCancel extends JView
{
	function display($tpl = null)
	{		
		$id = JRequest::getInt('id', 0) ;
		$config = EventBookingHelper::getConfig() ;
		$message = $config->cancel_message;
		if ($id > 0) {
			$db = & JFactory::getDBO() ;
			$sql = 'SELECT a.title FROM #__eb_events  AS a '
			. ' INNER JOIN #__eb_registrants AS b '
			. ' ON a.id = b.event_id '
			. ' WHERE b.id = '.$id		
			;			
			$db->setQuery($sql) ;
			$title = $db->loadResult();
			$message = str_replace('[EVENT_TITLE]', $title, $message) ;
		}
		$this->assignRef('message', $message);				
		parent::display($tpl);				
	}
}